[Elven Knight Class Transfer]:
In order to become a Temple Knight the Elven Knight must successfully complete three quests. The Trial of Duty can only be undertaken by a player of level 35 or above. This quest begins by meeting with Grand Master Hannavalt of Giran Castle Town. The Testimony of Life can only be undertaken by a player of level 37 or above. This quest begins by meeting with Master Cardien of Dion Castle Town. Finally, the Test of the Healer can only be undertaken by a player of level 39 or above. This quest begins by meeting with Priest Bandellos of Giran Castle Town.
Return
Close Window